<?php

require "../master.inc.php";
require_once DOL_DOCUMENT_ROOT.'/core/lib/functions.lib.php';
require_once DOL_DOCUMENT_ROOT.'/core/lib/admin.lib.php';

$dir = DOL_DOCUMENT_ROOT."/install/mysql/migration/";	// We use mysql migration scripts whatever is database driver

// Get files list of migration file x.y.z-a.b.c.sql into /install/mysql/migration
$handle = opendir($dir);

if (!is_resource($handle)) {
    echo "Can't read $dir";
    exit(1);
}

$versionarray = preg_split('/[\.-]/', DOL_VERSION);
$dolibarrlastupgradeversionarray = preg_split('/[\.-]/', isset($conf->global->MAIN_VERSION_LAST_UPGRADE) ? $conf->global->MAIN_VERSION_LAST_UPGRADE : (isset($conf->global->MAIN_VERSION_LAST_INSTALL) ? $conf->global->MAIN_VERSION_LAST_INSTALL : ''));
while (($file = readdir($handle)) !== false) {
    $reg = array();
    if (preg_match('/^(\d+\.\d+\.\d+)-(\d+\.\d+\.\d+)\.sql$/i', $file, $reg) && !empty($reg[2])) {
        $versionfrom = $reg[1];
        $versionto = $reg[2];
        $dolibarrversionfromarray = preg_split('/[\.-]/', $versionfrom);
        $dolibarrversiontoarray = preg_split('/[\.-]/', $versionto);
        if (versioncompare($dolibarrversiontoarray, $dolibarrlastupgradeversionarray) > 0 || versioncompare($dolibarrversiontoarray, $versionarray) < -2) {
            ob_clean();
            echo "$versionfrom;$versionto";
            ob_flush();
            exit();
        }
    }
}

exit(1);
